<?php
namespace App\Http\Controllers;

use App\Models;
use Illuminate\Http\Request;
use Mockery\Exception;
use Illuminate\Support\Facades\Log;

// todo 返回值为 数字代码还是json还是其他格式待定

class PermissionController extends Controller
{
    public function GrantPrivilege(Request $request)
    {
        $uid = $request->input("uid");
        $rights = $request->input("rights");
        if ($uid == "" || $rights == "") {
            return "invalid uid or rights";
        }

        // todo. 需要在这里获取当前用户id
        $adminUser = 1;

        log::debug("GrantPrivilege received admin uid " . $adminUser . ", uid " . $uid . ", rights " . $rights);
        $permisson = new Models\Permission();
        try {
            $result = $permisson->ModifyRole($adminUser, $uid, $rights);
            if ($result != "success"){
                return $result;
            }
        }catch (Exception $error){
            return "server error: ". $error;
        }
        return "success";
    }
}
