<?php

namespace App\Http\Controllers;

use App\Models;
use Illuminate\Http\Request;

// todo 返回值为 数字代码还是json还是其他格式待定

class UserController extends Controller
{

    /**
     * Add a user into system if the user is not exist.
     *
     * @param Request $request
     * @return string
     */
    public function AddUser(Request $request)
    {
        $user = new Models\User();

        $username = $request->input("username");
        if ($username == "") {
            return "invalid username";
        }
        $nickname = $request->input("nickname");
        if ($nickname == "") {
            $nickname = $username;
        }
        $password = $request->input("password");
        if ($password == "") {
            return "invalid password";
        }

        // Check to see if the user exists
        $data = Models\User::where("username", $username)->first();
        if ($data) {
            return "username have already exist";
        }

        $user->username = $username;
        $user->nickname = $nickname;
        $user->password = $password;
        $user->save();
        return "success";
    }

    /**
     * * Del user from system.
     *
     * @param Request $request
     * @return string
     */
    public function DelUser(Request $request)
    {
        $user = new Models\User();
        $uid = $request->input("uid");
        if ($uid == "") {
            return "invalid uid";
        }

        // todo. 不管是否有数据，这里都会返回true.
        $data = Models\User::where("id", 111)
            ->where("is_del", false)->update(['is_del' => false]);
        if ($data) {
            return "invalid user";
        } else {
            return "success";
        }
    }


    /**
     * Modify user information.
     *
     * @param string $uid
     * @return mixed
     */
    public function ModifyUser(string $uid)
    {
        return true;
    }

    /**
     * Judge the user if exist in system.
     *
     * @param string $uid
     * @return string
     */
    public function IsExist(string $uid)
    {
        return "";
    }
}
